ARG PYTHON_VERSION
ARG SLIM_VERSION
FROM python:$PYTHON_VERSION-slim

ARG EXTRA_REQUIREMENTS
ARG EXTRA_APT_PACKAGES

# Update and upgrade system packages
RUN apt-get update && apt-get -y dist-upgrade && \
  ([ -z "$EXTRA_APT_PACKAGES" ] || apt-get -y install $EXTRA_APT_PACKAGES) && \
  apt-get -y clean && \
  pip install --no-cache-dir --upgrade pip && \
  ([ -z "$EXTRA_REQUIREMENTS" ] || pip install --no-cache-dir --upgrade --no-cache $EXTRA_REQUIREMENTS)
